Bug 365901 - Use GraphicsMagic from Perl fails, undefined symbol: InitializeMagick
Use GraphicsMagic from Perl fails, undefined symbol: InitializeMagick
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: GraphicsMagick (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 11:56 EST by Davide Bolcioni
Modified: 2008-02-02 03:58 EST (History)
0 users

See Also:
Fixed In Version: 1.1.10-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 20:19:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Davide Bolcioni 2007-11-04 11:56:48 EST
Description of problem: Cannot use GraphicsMagick from perl.


Version-Release number of selected component (if applicable):
GraphicsMagick-perl.x86_64 0:1.1.8-2.fc7

How reproducible:
Always

Steps to Reproduce:
1. perl -e 'use Graphics:Magick'
2.
3.
  
Actual results:
perl: symbol lookup 
error: /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/auto/Graphics/Magick/Magick.so: 
undefined symbol: InitializeMagick


Expected results:
Success

Additional info:
A very similar problem is discussed in bug #203975 wrt GraphicsMagick's 
predecessor, ImageMagick.
Comment 1 Davide Bolcioni 2008-01-13 16:13:20 EST
Apparently bug #203975 Was fixed but this was not.
Comment 2 Bill McGonigle 2008-01-17 03:29:09 EST
Following the advice at bug 203975 I rebuilt GraphicsMagick with:

  rpmbuild --rebuild

and force-re-installed the current package, and now Perl works.
Comment 3 Fedora Update System 2008-01-28 12:47:08 EST
GraphicsMagick-1.1.10-1.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-01-28 12:48:02 EST
GraphicsMagick-1.1.10-1.fc7 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-01-29 00:15:03 EST
GraphicsMagick-1.1.10-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update GraphicsMagick'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1142
Comment 6 Fedora Update System 2008-02-01 20:19:02 EST
GraphicsMagick-1.1.10-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-02-02 03:58:30 EST
GraphicsMagick-1.1.10-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.